-- 基础信息
base_info = {
	group_id = 250056023
}

-- DEFS_MISCS
local RoomSwitchGadget = 23011
local GroupId = 250056023
local point_id_list = {}
local MainGroupID = 250056020
local RegionID = 23012

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 23011, gadget_id = 70360002, pos = { x = -139.920, y = -0.460, z = 69.691 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	{ config_id = 23012, shape = RegionShape.CUBIC, size = { x = 20.000, y = 10.000, z = 20.000 }, pos = { x = -70.132, y = -0.460, z = 0.002 } }
}

-- 触发器
triggers = {
	{ config_id = 1023012, name = "ENTER_REGION_23012", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 23001, pos = { x = -141.567, y = -0.460, z = 76.525 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23002, pos = { x = -136.810, y = -0.460, z = 75.863 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23003, pos = { x = -134.370, y = -0.460, z = 72.966 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23004, pos = { x = -133.516, y = -0.460, z = 68.787 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23005, pos = { x = -136.504, y = -0.460, z = 64.832 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23006, pos = { x = -140.473, y = -0.460, z = 63.254 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23007, pos = { x = -144.862, y = -0.460, z = 64.101 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23008, pos = { x = -145.118, y = -0.460, z = 75.441 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 23009, pos = { x = -147.634, y = -0.460, z = 71.812 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	{ config_id = 23010, pos = { x = -147.076, y = -0.460, z = 66.699 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 23012 },
		triggers = { "ENTER_REGION_23012" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
